/*
 This file is part of conc.

    Conc is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Conc is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with conc; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include <time.h>

typedef enum {
  PARITY_NONE,
  PARITY_ODD,
  PARITY_EVEN
} TermSpecParity;

typedef struct {
  guint data_bits;
  TermSpecParity parity;
  guint stop_bits;
  guint t_rate;
  guint r_rate;
  gchar *name;
  gchar *server;
  gchar *device;
  gchar *logfile;
} TermSpec;

extern TermSpec conc_default_spec;

typedef GList ConcList;

/* zero length or null strings accepted on input,
   output is a never a null */

extern gchar * conc_termspec_from(const TermSpec *t);
extern TermSpec * conc_termspec_to(const gchar *str);

extern const gchar * get_time(time_t *now);
extern gchar *conc_identity(void);
extern GString * conc_vtstrip(GString *s);

extern ConcList *conc_list_add(ConcList *l, const gchar *str, gboolean with_id);
extern ConcList *conc_list_remove(ConcList *l, const gchar *str);
extern gint conc_list_length(ConcList *l);
extern const gchar *conc_list(ConcList *l,gint i);
extern ConcList *conc_list_dup(ConcList *l);
extern ConcList *conc_list_free(ConcList *l);


